/**
 * @desc 删除
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** id */
    id: number
}

export const init = new defs.Result()

export function request(params: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/manage/permission/deleted',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
